/*
 * ----------------------------------------------------------------------------
 *  (C) Copyright Testing Technologies, 2001-2005.  All Rights Reserved.
 *
 *  All copies of this program, whether in whole or in part, and whether
 *  modified or not, must display this and all other embedded copyright
 *  and ownership notices in full.
 *
 *  See the file COPYRIGHT for details of redistribution and use.
 *
 *  You should have received a copy of the COPYRIGHT file along with
 *  this file; if not, write to the Testing Technologies,
 *  Rosenthaler Str. 13, 10119 Berlin, Germany.
 *
 *  TESTING TECHNOLOGIES DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS
 *  SOFTWARE. IN NO EVENT SHALL TESTING TECHNOLOGIES BE LIABLE FOR ANY
 *  SPECIAL, DIRECT, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 *  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN
 *  AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
 *  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF
 *  THIS SOFTWARE.
 *
 *  THE SOFTWARE IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND,
 *  EITHER EXPRESSED OR IMPLIED, INCLUDING ANY KIND OF IMPLIED OR
 *  EXPRESSED WARRANTY OF NON-INFRINGEMENT OR THE IMPLIED WARRANTIES
 *  OF MECHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
 *
 * -----------------------------------------------------------------------------
 *
 *  AUTHOR:      dte
 *  DATE:        Jun 15, 2005
 *
 *  REVISION INFO:
 *    $Revision: $ $Date: $
 *    $Source: $
 *
 * -----------------------------------------------------------------------------
 */
package com.testingtech.ttcn.tri;

/**
 * Helper class for printout bytearrays as hexstring
 * 
 * @author dte
 */
public class DebugHelp {

	protected static final String hex = "0123456789ABCDEF";
	
	/**
	 * Returns a hexstring presentation of the given bytes.
	 * 
	 * @param vb	The bytes to print
	 * @return		The hexstring representation
	 */
	public static String hexString(byte [] vb) {
		StringBuffer sb = new StringBuffer();
		
		for (int i=0; i<vb.length; i++) {
			sb.append(hex.charAt((int)(vb[i]>>4) & 0xf));
			sb.append(hex.charAt((int)(vb[i]) & 0xf));
			sb.append(" ");
		}
		
		return sb.toString();
	}
}
